%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%define plugin tracmath
%define svnrev 5829

Name:           trac-%{plugin}-plugin
Version:        0.11
Release:        1.%{svnrev}%{?dist}
Summary:        Support for LaTeX Math Formulas in Wiki Pages
Group:          Applications/Internet
License:        BSD
URL:            http://trac-hacks.org/wiki/TracMathPlugin
# source got from http://trac-hacks.org/changeset/latest/tracmathplugin?old_path=/&filename=tracmathplugin&format=zip
Source0:        %{plugin}plugin-r%{svnrev}.zip
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools
Requires:       trac, python-setuptools
Requires:	python-genshi tetex tetex-latex

%description
Allow embedded LaTeX equations in wiki pages. Basically a port of mt-math to trac. 

%prep
%setup -n %{plugin}plugin -q


%build
%{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
# skip-build doesn't work on el4
%{__python} setup.py install -O1 --root $RPM_BUILD_ROOT

 
%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{python_sitelib}/*


%changelog
* Wed May 20 2009 Josko Plazonic <plazonic@math.princeton.edu>
- initial build, used Fedora's trac-ticketdelete-plugin.spec as the base
